<?php
/*
 * This file is part of the Easy-CMS project.
 * Easy-CMS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Easy-CMS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Easy-CMS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
 
/**
 * @package easy-CMS
 */
 
// define the path context
chdir('..');
define('EASY_GUI_APP_DIR', '../');


/**
 * Choose Object Script
 *
 * @author vinadelmar <vinadelmar@users.sourceforge.net>
 * @since  2006-09-15
 */
 
/**
 * Site Class
 */
require_once('classes/core/Site.class.php');

$site = &Site::getInstance();
$db = &$site->getDBManipulator();
$aclManager = &$site->getACLManager();
$pagesManager = &$site->getPagesManager();

$siteId = 0;
$siteType = $site->getClassName();
$siteName = $site->getName();

$res = $db->getRecord(PAGES_TABLE, -1, '`parent_id`=0', 'id', 'id');

if(!$res || !$db->getNumRows()){
	die('omg they killed kenny!!');
}

$aclIdList = array();
$pagesIdList = array();

while($record = $db->fetchArray($res)){
	$aclId = (int)$record['acl_id'];
	if(array_search($aclId, $aclIdList)===false){
		$aclIdList[] = $aclId;
	}
	$pagesIdList[] = (int)$record['id'];
}

$loadDeleted = true;
$loadFrame = false;
$loadAcl = true;

$pagesManager->loadPage($pagesIdList, $loadDeleted, $loadFrame, $loadAcl);

foreach($pagesIdList as $pageId){

}

?>